Переполнение буфера в EchoVNC for Linux

Дата публикации:
18.08.2008
Всего просмотров:
992
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
EchoVNC for Linux 1.x
Уязвимые версии: EchoVNC for Linux версии до 1.1.2

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в функции "CLogger::WriteFormated()" в файле echoware/Logger.cpp. Злоумышленник может обманом заставить пользователя подключиться к Echo серверу, который возвращает слишком большой список групп или пользователей, вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: sourceforge.net/projects/echovnc

Решение: Установите последнюю версию 1.1.2 с сайта производителя.

или введите имя

CAPTCHA